Name:            libgnomedb
Epoch:           1
Version:         1.9.100
Release:         15%{?dist}
Summary:         Library for writing gnome database programs
Group:           System Environment/Libraries
License:         LGPL
URL:             http://www.gnome-db.org/
Source:          http://ftp.gnome.org/pub/GNOME/sources/%{name}/1.9/%{name}-%{version}.tar.bz2
Patch0:          libgnomedb-1.2.0-desktop.patch
Patch1:          libgnomedb-1.9.100-sharp.patch
Patch2:          libgnomedb-1.9.100-unknown-datatype-fix.patch
Patch3:          libgnomedb-1.9.100-64bit.patch
Patch4:          libgnomedb-1.9.100-about.patch
BuildRoot:       %{_tmppath}/%{name}-%{version}-root
BuildRequires:   libgnomeui-devel libgda-devel openssl-devel
BuildRequires:   gtksourceview-devel gtk-doc
BuildRequires:   gettext scrollkeeper perl(XML::Parser) desktop-file-utils
%ifnarch ppc64
BuildRequires:   mono-devel gnome-sharp-devel libgda-sharp-devel
BuildRequires:   gtk-sharp2-devel gtk-sharp2-gapi
%endif
Requires:        scrollkeeper hicolor-icon-theme
Requires(pre):   GConf2
Requires(post):  GConf2 /sbin/ldconfig
Requires(preun): GConf2
Requires(postun): /sbin/ldconfig

%description
libgnomedb is a library that eases the task of writing
gnome database programs.


%package devel
Summary:         Development libraries and header files for libgnomedb
Group:           Development/Libraries
Requires:        %{name} = %{epoch}:%{version}-%{release}
Requires:        pkgconfig libgnomeui-devel libgda-devel
Requires(post):  scrollkeeper
Requires(postun): scrollkeeper

%description devel
This package contains the header files and libraries needed to write
or compile programs that use libgda.


%ifnarch ppc64

%package sharp
Summary:         Mono bindings for libgnomedb
Group:           System Environment/Libraries
Requires:        %{name} = %{epoch}:%{version}-%{release}

%description sharp
This package contains the dll files needed to run (and compile) Mono
applications which use libgnomedb.


%package sharp-devel
Summary:         Development files for the Mono bindings for libgnomedb
Group:           Development/Libraries
Requires:        %{name}-sharp = %{epoch}:%{version}-%{release}
Requires:        pkgconfig

%description sharp-devel
Development files for the Mono bindings for libgnomedb

%endif


%prep
%setup -q
%patch0 -p1 -b .desktop.patch
%patch1 -p1 -b .sharp
%patch2 -p1 -b .unknown
%patch3 -p1 -b .64bit
%patch4 -p1 -b .about


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT \
  LIBGNOMEDB_DTDDIR=%{_datadir}/libgnomedb/dtd
%find_lang libgnomedb-3

# below is the desktop file and icon stuff.
desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --vendor fedora --remove-category AdvancedSettings --delete-original \
  --add-category X-GNOME-SystemSettings \
  $RPM_BUILD_ROOT%{_datadir}/applications/database-properties.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
mv $RPM_BUILD_ROOT%{_datadir}/pixmaps/libgnomedb/gnome-db.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps

%ifnarch ppc64
# fixup mono / sharp related files install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/gapi-2.0
install -m 644 gnomedb-sharp/gnomedb-api.xml $RPM_BUILD_ROOT/%{_datadir}/gapi-2.0
%endif

# remove unpackaged files
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.{a,la}
rm -f $RPM_BUILD_ROOT/%{_libdir}/libgnomedb/plugins/*.{a,la}
rm -f $RPM_BUILD_ROOT/%{_libdir}/libglade/2.0/*.{a,la}


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/libgnomedb.schemas >/dev/null || :
fi


%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/libgnomedb.schemas > /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/libgnomedb.schemas > /dev/null || :
fi


%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%post devel
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :


%postun devel
scrollkeeper-update -q || :


%clean
rm -rf $RPM_BUILD_ROOT


%files -f libgnomedb-3.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS
%{_bindir}/*
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/libgnomedb
%{_datadir}/applications/fedora-database-properties.desktop
%{_datadir}/icons/hicolor/48x48/apps/gnome-db.png
%{_datadir}/libgnomedb
%{_libdir}/*.so.*
%dir %{_libdir}/libgnomedb
%{_libdir}/libgnomedb/plugins
%{_libdir}/libglade/2.0/*
%config(noreplace) %{_sysconfdir}/gconf/schemas/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/libgnomedb-1.9
%{_libdir}/*.so
%{_libdir}/pkgconfig/libgnomedb-2.0.pc
%{_datadir}/omf/%{name}
%{_datadir}/gtk-doc/html/libgnomedb

%ifnarch ppc64

%files sharp
%defattr(-,root,root,-)
%{_libdir}/libgnomedb/gnomedb-sharp.dll*

%files sharp-devel
%defattr(-,root,root,-)
%{_datadir}/gapi-2.0
%{_libdir}/pkgconfig/gnomedb-sharp-2.0.pc

%endif


%changelog
* Thu May 10 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1:1.9.100-15
- Don't build mono/sharp bits on ppc64

* Mon Apr 30 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1:1.9.100-14
- Fix closing of the about dialog (bz 238404)

* Tue Mar 27 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1:1.9.100-13
- Fix categories in fedora-database-properties.desktop file (bz 234164)
- Fixup packaging of sharp bindings to match the mono packaging guidelines

* Thu Jan 11 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1:1.9.100-12
- Install icon under /usr/share/icons and don't reference it with an
  absolute path (bz 221101)

* Sun Sep 10 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1:1.9.100-11
- Don't own /usr/share/omf (bug 205669)

* Tue Aug 29 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1:1.9.100-10
- Add a few missing (split up) mono BuildRequires
- Specfile cleanup

* Mon Aug 28 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1:1.9.100-9
- FE6 Rebuild

* Sat Jun 10 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1:1.9.100-8
- Add BuildRequires: gettext to fix building with new stripped mock config.

* Thu May  4 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1:1.9.100-7
- Add patch3 fixing a couple of x86_64 bugs (bz 190366)

* Fri Mar 24 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1:1.9.100-6
- Add patch2 fixing bz 186517

* Mon Feb 13 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1:1.9.100-5
- Bump release and rebuild for new gcc4.1 and glibc
- Attempt to properly install C-sharp/mono bindings
- Add %%{?dist} for consistency with my other packages
- Remove static lib from -devel package
- Handle gconf2 files as described on the wiki scriptlets page

* Tue Jan 17 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1:1.9.100-4
- Put mono files only in sharp package and not in sharp and main package.
- Make -sharp package Require the main package.

* Mon Jan 16 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1:1.9.100-3
- Remove unneeded requires (.so reqs are automaticly picked up by rpm).
- Add BuildRequires for building libgda-sharp

* Wed Nov 30 2005 Hans de Goede <j.w.r.degoede@hhs.nl> 1:1.9.100-2
- Add BuildRequires for optional gtksourceview, unfortunatly the
  evolution-data-server in Fedora is too new for the evolution provider.

* Sun Nov 27 2005 Hans de Goede <j.w.r.degoede@hhs.nl> 1:1.9.100-1
- New upstream version

* Thu Aug 18 2005 Jeremy Katz <katzj@redhat.com> - 1:1.2.0-5
- rebuild for devel changes

* Fri Aug  5 2005 Hans de Goede <j.w.r.degoede@hhs.nl> 1.2.0-4
- Remove libgnomedb.la file from devel package.

* Wed Mar 02 2005 Caolan McNamara <caolanm@redhat.com> 1.2.0-3
- rebuild with gcc4

* Mon Feb 21 2005 Caolan McNamara <caolanm@redhat.com> 1.2.0-2
- rh#149232#/rh#149222# install .desktop to /usr/share/applications

* Fri Feb 04 2005 Caolan McNamara <caolanm@redhat.com> 1.2.0-1
- bump to latest stable version
- drop integrated patchs

* Tue Dec 07 2004 Caolan McNamara <caolanm@redhat.com> 1.0.4-4
- #rh142098# missing return

* Wed Oct 20 2004 Caolan McNamara <caolanm@redhat.com> 1.0.4-3
- #rh136069# Backport crashfix on no tables
- #rh136361# Move icon for gnome properties

* Fri Oct 08 2004 Caolan McNamara <caolanm@redhat.com> 1.0.4-2
- #rh135044# BuildRequires

* Thu Aug 12 2004 Caolan McNamara <caolanm@redhat.com>
- Initial Red Hat import
- patch for missing break statement
- fixup devel package requirement pickiness

* Tue Jan 28 2003 Yanko Kaneti <yaneti@delcera.com>
- Package and add the omf/scrollkeeper bits.
- --disable-gtk-doc to configure because the generated docs are in the tarball

* Mon Aug 19 2002 Ben Liblit <liblit@acm.org>
- Fixed version number substitutions
- Updated files list to match what "make install" actually installs
- Added URL tag pointing to GNOME-DB project's web site

* Mon Feb 25 2002 Chris Chabot <chabotc@reviewboard.com>
- Cleaned up formatting
- Added requirements

* Thu Feb 21 2002 Chris Chabot <chabotc@reviewboard.com>
- Initial spec file
